OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PMMgt

# PMMgt_PManaged Class Reference

`#include <PMMgt_PManaged.hxx>`

Inheritance diagram for PMMgt_PManaged:

[legend]

## Public Member Functions
| PMMgt_PManaged (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT | PMMgt_PManaged ()
| Returns an instance. The storage of the given "size" is allocated by <storagemanager>. Returns the storage of the given size to the <storagemanager>. The application using "Delete" must guarantee that the instance is not shared. The virtual Destructor for the class "PManaged". This declaration is necessary for the C++ compiler to generate a call to "operator delete" with the real size of the object. .

## Constructor & Destructor Documentation

PMMgt_PManaged::PMMgt_PManaged | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

Standard_EXPORT PMMgt_PManaged::PMMgt_PManaged | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const PMMgt_PManaged::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in ObjMgt_SeqNodeOfPSeqOfExtRef, PColgp_SeqNodeOfHSequenceOfDir, PColgp_SeqNodeOfHSequenceOfPnt, PColgp_SeqNodeOfHSequenceOfVec, PColgp_SeqNodeOfHSequenceOfXYZ, PColStd_HDoubleListOfInteger, PColStd_HDoubleListOfPersistent, PColStd_HDoubleListOfReal, PColStd_HSingleListOfInteger, PColStd_HSingleListOfPersistent, PColStd_HSingleListOfReal, PColStd_SeqNodeOfHSequenceOfHAsciiString, PColStd_SeqNodeOfHSequenceOfHExtendedString, PColStd_SeqNodeOfHSequenceOfInteger, PColStd_SeqNodeOfHSequenceOfPersistent, PColStd_SeqNodeOfHSequenceOfReal, and PShort_SeqNodeOfHSequenceOfShortReal.

The documentation for this class was generated from the following file:

- PMMgt_PManaged.hxx